.\"	$NetBSD: esa.4,v 1.8 2005/06/22 04:19:09 kent Exp $
.\"
.\" Copyright (c) 2001, 2002 Jared D. McNeill <jmcneill@invisible.ca>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Neither the name of the author nor the names of any
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 13, 2008
.Dt ESA 4
.Os
.Sh NAME
.Nm esa
.Nd ESS Technology Allegro-1 / Maestro-3 family audio device driver
.Sh SYNOPSIS
.Cd "esa*   at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Cd "options ESA_NUM_VOICES=4"
.Sh DESCRIPTION
The
.Nm
driver provides support for the ESS Allegro-1 and Maestro-3 audio devices
on the PCI bus.
These devices are popular in laptop systems.
.Pp
The Allegro-1 and the Maestro-3 are full-duplex devices that allow
independent playback and recording at sample rates between 8000Hz and
48000Hz and are capable of playback at 8 and 16 bit in mono and stereo.
.Pp
Setting options ESA_NUM_VOICES=4 allows for hardware mixing in the device
driver.
Note that due to microcode constraints, the
.Nm
driver is currently limited to 4 simultaneous voices.
.Sh SEE ALSO
.Xr ac97 4 ,
.Xr audio 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.5.3 .
.Sh AUTHORS
.An Jared D. McNeill Aq jmcneill@invisible.ca
